public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: media-sound/sndpeek/
@ 2016-10-14 12:30 Alexis Ballier
  0 siblings, 0 replies; 2+ messages in thread
From: Alexis Ballier @ 2016-10-14 12:30 UTC (permalink / raw
  To: gentoo-commits

commit:     0e78c8d05c5eefa8dc3ebbf64c220d43cd2e90a1
Author:     Alexis Ballier <aballier <AT> gentoo <DOT> org>
AuthorDate: Fri Oct 14 12:29:44 2016 +0000
Commit:     Alexis Ballier <aballier <AT> gentoo <DOT> org>
CommitDate: Fri Oct 14 12:29:51 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0e78c8d0

media-sound/sndpeek: update to eapi5 and add REQUIRED_USE, bug #581548

Package-Manager: portage-2.3.2

 media-sound/sndpeek/sndpeek-1.4.ebuild | 12 +++---------
 1 file changed, 3 insertions(+), 9 deletions(-)

diff --git a/media-sound/sndpeek/sndpeek-1.4.ebuild b/media-sound/sndpeek/sndpeek-1.4.ebuild
index 5c4cdc3..18dfcd6 100644
--- a/media-sound/sndpeek/sndpeek-1.4.ebuild
+++ b/media-sound/sndpeek/sndpeek-1.4.ebuild
@@ -1,8 +1,8 @@
-# Copyright 1999-2015 Gentoo Foundation
+# Copyright 1999-2016 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 # $Id$
 
-EAPI=2
+EAPI=5
 inherit eutils toolchain-funcs
 
 DESCRIPTION="real-time audio visualization"
@@ -25,6 +25,7 @@ RDEPEND="media-libs/freeglut
 	alsa? ( media-libs/alsa-lib )
 	app-eselect/eselect-sndpeek"
 DEPEND="${RDEPEND}"
+REQUIRED_USE="|| ( alsa jack oss )"
 
 src_prepare() {
 	epatch "${FILESDIR}"/${PN}-1.3-makefile.patch \
@@ -32,13 +33,6 @@ src_prepare() {
 		"${FILESDIR}"/${P}-ldflags.patch
 }
 
-pkg_setup() {
-	if ! use alsa && ! use jack && ! use oss; then
-		eerror "One of the following USE flags is needed: jack, alsa or oss"
-		die "Please set one audio engine type"
-	fi
-}
-
 compile_backend() {
 	backend=$1
 	cd "${S}/src/sndpeek"


^ permalink raw reply related	[flat|nested] 2+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: media-sound/sndpeek/
@ 2022-03-19 23:39 Sam James
  0 siblings, 0 replies; 2+ messages in thread
From: Sam James @ 2022-03-19 23:39 UTC (permalink / raw
  To: gentoo-commits

commit:     4271a34f7b597649c2d034ae0ce00182c837d6d6
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Sat Mar 19 23:38:43 2022 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sat Mar 19 23:38:43 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4271a34f

media-sound/sndpeek: [QA] fix tc-get* quoting

This can cause build problems for e.g. 32-bit (gcc -m32 ...)

Signed-off-by: Sam James <sam <AT> gentoo.org>

 media-sound/sndpeek/sndpeek-1.41-r1.ebuild | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/media-sound/sndpeek/sndpeek-1.41-r1.ebuild b/media-sound/sndpeek/sndpeek-1.41-r1.ebuild
index 8d5d56db8675..bbe0f7e6f139 100644
--- a/media-sound/sndpeek/sndpeek-1.41-r1.ebuild
+++ b/media-sound/sndpeek/sndpeek-1.41-r1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=7
@@ -39,8 +39,8 @@ compile_backend() {
 	backend=$1
 	cd "${S}/src/sndpeek"
 	einfo "Compiling against ${backend}"
-	emake -f "makefile.${backend}" CC=$(tc-getCC) \
-		CXX=$(tc-getCXX)
+	emake -f "makefile.${backend}" CC="$(tc-getCC)" \
+		CXX="$(tc-getCXX)"
 	mv sndpeek{,-${backend}}
 	emake -f "makefile.${backend}" clean
 	cd -


^ permalink raw reply related	[flat|nested] 2+ messages in thread

end of thread, other threads:[~2022-03-19 23:39 UTC | newest]

Thread overview: 2+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2022-03-19 23:39 [gentoo-commits] repo/gentoo:master commit in: media-sound/sndpeek/ Sam James
  -- strict thread matches above, loose matches on Subject: below --
2016-10-14 12:30 Alexis Ballier

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox